import figma from '@figma/code-connect';

figma.connect(
  'https://www.figma.com/design/Zyh9RyabNaqkjbuFWP9Aqj/%E2%9C%A8-Components--ADS2---Stable-version-?node-id=20807-13948',
  {
    imports: ["import { StatusMessage } from '@mozaic-ds/web-components/svelte';"],
    props: {
      label: figma.string('Status message'),
      status: figma.enum('Status', {
        Information: 'info',
        Success: 'success',
        Warning: 'warning',
        Error: 'error',
        Neutral: 'neutral',
        'In progress': 'inprogress',
      }),
      type: figma.enum('Type', {
        Standard: 'standard',
        Accent: 'accent',
      }),
    },
    example: ({ label, status }) => <StatusMessage label={label} status={status}></StatusMessage>,
  },
);
